Subject: Re: git-submodule getting submodules from the parent repository

From: Sam Vilain <[email-masked]>
Date: Mon, 31 Mar 2008 06:48:03 +1300

Eyvind Bernhardsen wrote:
> I solved that by adding a "submodule push" that pushes the detached head
> of each submodule to its own ref ("refs/submodule-update/commit-$sha1",
> imaginatively).  I also made "submodule update" try to fetch that ref
> when looking for a sha1.

Hmm, a reasonable decision, but I think it would be better to force the
user to choose which branch they want to push to.  Leaving breadcrumbs
in the refs/ space like that is best avoided.

> I ran into trouble trying to avoid pushing every submodule for each
> "submodule push", and then more or less decided not to use submodules,
> so it's not quite fit for public consumption.  I still think it's a
> sound idea in principle, so I'll clean it up and send it to the list if
> there's any interest.

Indeed - it can only become "fit for public consumption" if people
submit their usability enhancements!

Sam.